@echo off

if "%1" == "" goto err
if "%2" == "" goto err
if "%3" == "" goto err

goto ok

:err

echo --------
echo Use this batch file to install the QVCS-Enterprise server as a Windows Service.
echo --------
echo Usage:   %0 jdk_home QVCS_Enterprise_home auto  OR
echo          %0 jdk_home QVCS_Enterprise_home manual
echo NOTE:    You MAY NOT use spaces in the path names.
echo          jdk_home is the installation directory for your Java SDK.
echo          QVCS_Enterprise_home is the directory where QVCS Enterprise
echo          is installed.
echo          auto or manual indicates whether the service should start automatically
echo          or whether is should be started manually.
echo Example: %0 C:\java\jdk1.6.0_18 C:\QVCSEnterprise auto
echo --------
goto eof

:ok

@echo .
@echo .
@echo .
mkdir %2\log
IF NOT EXIST %1\jre\bin\server\jvm.dll goto jre
@echo .

:jvm
EnterpriseService.exe -install QVCSEnterpriseServer %1\jre\bin\server\jvm.dll -Djava.class.path=%2\server_out.jar -Djava.util.logging.config.file=%2\serverlogging.properties -Xms128M -Xmx512M -start com.qumasoft.server.QVCSEnterpriseServer -params %2 9887 9888 9889 9890 9080 -stop com.qumasoft.server.QVCSEnterpriseServer -method stopServer -params stop -out %2\log\serverConsoleOut.log -err %2\log\serverConsoleErr.log -current %2 -%3
goto eof

:jre
IF NOT EXIST %1\bin\client\jvm.dll goto javaNotFound
EnterpriseService.exe -install QVCSEnterpriseServer %1\bin\client\jvm.dll -Djava.class.path=%2\server_out.jar -Djava.util.logging.config.file=%2\serverlogging.properties -Xms128M -Xmx512M -start com.qumasoft.server.QVCSEnterpriseServer -params %2 9887 9888 9889 9890 9080 -stop com.qumasoft.server.QVCSEnterpriseServer -method stopServer -params stop -out %2\log\serverConsoleOut.log -err %2\log\serverConsoleErr.log -current %2 -%3
goto eof

:javaNotFound
echo JVM not found. Please check to see that you installed the JVM at %1

:eof

@echo .
@echo .
@echo .
